-- VisitorRadar
-- Localization

local addonName, addonTable = ...

local locale = GetLocale()
VisitorRadar = {}
addonTable.L = {}
local L = addonTable.L

local debug
--[===[@debug@
debug = true
--@end-debug@]===]

if debug then
	L["harrison_jones"] = "Harrison Jones"
	
    L["A_elite_quest"] = "Renzik \"The Shiv\""
	L["A_dungeon_raid"] = "Muradin Bronzebeard"
	L["A_trader_herb"] = "Samantha Scarlet"
    L["A_trader_tailor"] = "Dorothy \"Two\""
	L["A_trader_ore"] = "Alexi Hackercam"
	L["A_trader_leather"] = "Jake the Fox"
    L["A_trader_dust"] = "Enchantress Ismae"

	L["H_elite_quest"] = "Shadow Hunter Ty'jin"
	L["H_dungeon_raid"] = "High Overlord Saurfang"
	L["H_trader_herb"] = "Nicholas Mitrik"
	L["H_trader_tailor"] = "Calvo Klyne"
	L["H_trader_ore"] = "Trixxy Volt"
	L["H_trader_leather"] = "Zeezu"
	L["H_trader_dust"] = "Rath'thul Moonvale"
	
	L["elite_quest"] = "Elite quest"
	L["dungeon_raid_quest"] = "Dungeon/Raid quests"
    L["trader_fur"] = "Fur Trader"
	L["trader_ore"] = "Ore Trader"
	L["trader_herb"] = "Herb Trader"
	L["trader_leather"] = "Leather Trader"
	L["trader_dust"] = "Dust Trader"
	
	L["A_pet_tamer"] = "Erris the Collector"
	L["H_pet_tamer"] = "Kura Thunderhoof"
	
	L["chk_toggle"] = "Toggle Garrison Visitor Radar icons"
	L["do_not_show_guild"] = "Do not show my visitor to the guild"
end

if locale == "esES" then 
L["A_dungeon_raid"] = "Muradin Bronzebeard" -- Requires localization
L["A_elite_quest"] = "Renzik \"The Shiv\"" -- Requires localization
L["A_pet_tamer"] = "Erris the Collector" -- Requires localization
L["A_trader_dust"] = "Enchantress Ismae" -- Requires localization
L["A_trader_herb"] = "Samantha Scarlet" -- Requires localization
L["A_trader_leather"] = "Jake the Fox" -- Requires localization
L["A_trader_ore"] = "Alexi Hackercam" -- Requires localization
L["A_trader_tailor"] = "Dorothy \"Two\"" -- Requires localization
L["chk_toggle"] = "Toggle Garrison Visitor Radar icons" -- Requires localization
L["do_not_show_guild"] = "Do not show my visitor to the guild" -- Requires localization
L["dungeon_raid_quest"] = "Dungeon/Raid quests" -- Requires localization
L["elite_quest"] = "Elite quest" -- Requires localization
L["harrison_jones"] = "Harrison Jones" -- Requires localization
L["H_dungeon_raid"] = "High Overlord Saurfang" -- Requires localization
L["H_elite_quest"] = "Shadow Hunter Ty'jin" -- Requires localization
L["H_pet_tamer"] = "Kura Thunderhoof" -- Requires localization
L["H_trader_dust"] = "Rath'thul Moonvale" -- Requires localization
L["H_trader_herb"] = "Nicholas Mitrik" -- Requires localization
L["H_trader_leather"] = "Zeezu" -- Requires localization
L["H_trader_ore"] = "Trixxy Volt" -- Requires localization
L["H_trader_tailor"] = "Calvo Klyne" -- Requires localization
L["trader_dust"] = "Dust Trader" -- Requires localization
L["trader_fur"] = "Fur Trader" -- Requires localization
L["trader_herb"] = "Herb Trader" -- Requires localization
L["trader_leather"] = "Leather Trader" -- Requires localization
L["trader_ore"] = "Ore Trader" -- Requires localization

elseif locale == "esMX" then 
L["A_dungeon_raid"] = "Muradin Bronzebeard" -- Requires localization
L["A_elite_quest"] = "Renzik \"The Shiv\"" -- Requires localization
L["A_pet_tamer"] = "Erris the Collector" -- Requires localization
L["A_trader_dust"] = "Enchantress Ismae" -- Requires localization
L["A_trader_herb"] = "Samantha Scarlet" -- Requires localization
L["A_trader_leather"] = "Jake the Fox" -- Requires localization
L["A_trader_ore"] = "Alexi Hackercam" -- Requires localization
L["A_trader_tailor"] = "Dorothy \"Two\"" -- Requires localization
L["chk_toggle"] = "Toggle Garrison Visitor Radar icons" -- Requires localization
L["do_not_show_guild"] = "Do not show my visitor to the guild" -- Requires localization
L["dungeon_raid_quest"] = "Dungeon/Raid quests" -- Requires localization
L["elite_quest"] = "Elite quest" -- Requires localization
L["harrison_jones"] = "Harrison Jones" -- Requires localization
L["H_dungeon_raid"] = "High Overlord Saurfang" -- Requires localization
L["H_elite_quest"] = "Shadow Hunter Ty'jin" -- Requires localization
L["H_pet_tamer"] = "Kura Thunderhoof" -- Requires localization
L["H_trader_dust"] = "Rath'thul Moonvale" -- Requires localization
L["H_trader_herb"] = "Nicholas Mitrik" -- Requires localization
L["H_trader_leather"] = "Zeezu" -- Requires localization
L["H_trader_ore"] = "Trixxy Volt" -- Requires localization
L["H_trader_tailor"] = "Calvo Klyne" -- Requires localization
L["trader_dust"] = "Dust Trader" -- Requires localization
L["trader_fur"] = "Fur Trader" -- Requires localization
L["trader_herb"] = "Herb Trader" -- Requires localization
L["trader_leather"] = "Leather Trader" -- Requires localization
L["trader_ore"] = "Ore Trader" -- Requires localization

elseif locale == "itIT" then 
L["A_dungeon_raid"] = "Muradin Barbabronzea" -- Needs review
L["A_elite_quest"] = "Renzik \"Stiletto\"" -- Needs review
L["A_pet_tamer"] = "Erris the Collector" -- Requires localization
L["A_trader_dust"] = "Enchantress Ismae" -- Requires localization
L["A_trader_herb"] = "Samantha Scarlet" -- Requires localization
L["A_trader_leather"] = "Jake the Fox" -- Requires localization
L["A_trader_ore"] = "Alexi Hackercam" -- Needs review
L["A_trader_tailor"] = "Dorothy \"Two\"" -- Requires localization
L["chk_toggle"] = "Toggle Garrison Visitor Radar icons" -- Requires localization
L["do_not_show_guild"] = "Do not show my visitor to the guild" -- Requires localization
L["dungeon_raid_quest"] = "Dungeon/Raid quests" -- Requires localization
L["elite_quest"] = "Elite quest" -- Requires localization
L["harrison_jones"] = "Harrison Jones" -- Needs review
L["H_dungeon_raid"] = "High Overlord Saurfang" -- Requires localization
L["H_elite_quest"] = "Shadow Hunter Ty'jin" -- Requires localization
L["H_pet_tamer"] = "Kura Thunderhoof" -- Requires localization
L["H_trader_dust"] = "Rath'thul Moonvale" -- Requires localization
L["H_trader_herb"] = "Nicholas Mitrik" -- Requires localization
L["H_trader_leather"] = "Zeezu" -- Requires localization
L["H_trader_ore"] = "Trixxy Volt" -- Requires localization
L["H_trader_tailor"] = "Calvo Klyne" -- Requires localization
L["trader_dust"] = "Dust Trader" -- Requires localization
L["trader_fur"] = "Fur Trader" -- Requires localization
L["trader_herb"] = "Herb Trader" -- Requires localization
L["trader_leather"] = "Leather Trader" -- Requires localization
L["trader_ore"] = "Ore Trader" -- Requires localization

elseif locale == "ptBR" then 
L["A_dungeon_raid"] = "Muradin Bronzebeard" -- Requires localization
L["A_elite_quest"] = "Renzik \"The Shiv\"" -- Requires localization
L["A_pet_tamer"] = "Erris the Collector" -- Requires localization
L["A_trader_dust"] = "Enchantress Ismae" -- Requires localization
L["A_trader_herb"] = "Samantha Scarlet" -- Requires localization
L["A_trader_leather"] = "Jake the Fox" -- Requires localization
L["A_trader_ore"] = "Alexi Hackercam" -- Requires localization
L["A_trader_tailor"] = "Dorothy \"Two\"" -- Requires localization
L["chk_toggle"] = "Toggle Garrison Visitor Radar icons" -- Requires localization
L["do_not_show_guild"] = "Do not show my visitor to the guild" -- Requires localization
L["dungeon_raid_quest"] = "Dungeon/Raid quests" -- Requires localization
L["elite_quest"] = "Elite quest" -- Requires localization
L["harrison_jones"] = "Harrison Jones" -- Requires localization
L["H_dungeon_raid"] = "High Overlord Saurfang" -- Requires localization
L["H_elite_quest"] = "Shadow Hunter Ty'jin" -- Requires localization
L["H_pet_tamer"] = "Kura Thunderhoof" -- Requires localization
L["H_trader_dust"] = "Rath'thul Moonvale" -- Requires localization
L["H_trader_herb"] = "Nicholas Mitrik" -- Requires localization
L["H_trader_leather"] = "Zeezu" -- Requires localization
L["H_trader_ore"] = "Trixxy Volt" -- Requires localization
L["H_trader_tailor"] = "Calvo Klyne" -- Requires localization
L["trader_dust"] = "Dust Trader" -- Requires localization
L["trader_fur"] = "Fur Trader" -- Requires localization
L["trader_herb"] = "Herb Trader" -- Requires localization
L["trader_leather"] = "Leather Trader" -- Requires localization
L["trader_ore"] = "Ore Trader" -- Requires localization

elseif locale == "frFR" then
L["A_dungeon_raid"] = "Muradin Bronzebeard" -- Requires localization
L["A_elite_quest"] = "Renzik \"The Shiv\"" -- Requires localization
L["A_pet_tamer"] = "Erris the Collector" -- Requires localization
L["A_trader_dust"] = "Enchantress Ismae" -- Requires localization
L["A_trader_herb"] = "Samantha Scarlet" -- Requires localization
L["A_trader_leather"] = "Jake the Fox" -- Requires localization
L["A_trader_ore"] = "Alexi Hackercam" -- Requires localization
L["A_trader_tailor"] = "Dorothy \"Two\"" -- Requires localization
L["chk_toggle"] = "Toggle Garrison Visitor Radar icons" -- Requires localization
L["do_not_show_guild"] = "Do not show my visitor to the guild" -- Requires localization
L["dungeon_raid_quest"] = "Dungeon/Raid quests" -- Requires localization
L["elite_quest"] = "Elite quest" -- Requires localization
L["harrison_jones"] = "Harrison Jones" -- Requires localization
L["H_dungeon_raid"] = "High Overlord Saurfang" -- Requires localization
L["H_elite_quest"] = "Shadow Hunter Ty'jin" -- Requires localization
L["H_pet_tamer"] = "Kura Thunderhoof" -- Requires localization
L["H_trader_dust"] = "Rath'thul Moonvale" -- Requires localization
L["H_trader_herb"] = "Nicholas Mitrik" -- Requires localization
L["H_trader_leather"] = "Zeezu" -- Requires localization
L["H_trader_ore"] = "Trixxy Volt" -- Requires localization
L["H_trader_tailor"] = "Calvo Klyne" -- Requires localization
L["trader_dust"] = "Dust Trader" -- Requires localization
L["trader_fur"] = "Fur Trader" -- Requires localization
L["trader_herb"] = "Herb Trader" -- Requires localization
L["trader_leather"] = "Leather Trader" -- Requires localization
L["trader_ore"] = "Ore Trader" -- Requires localization

elseif locale == "deDE" then 
L["A_dungeon_raid"] = "Muradin Bronzebeard" -- Requires localization
L["A_elite_quest"] = "Renzik \"The Shiv\"" -- Requires localization
L["A_pet_tamer"] = "Erris the Collector" -- Requires localization
L["A_trader_dust"] = "Enchantress Ismae" -- Requires localization
L["A_trader_herb"] = "Samantha Scarlet" -- Requires localization
L["A_trader_leather"] = "Jake the Fox" -- Requires localization
L["A_trader_ore"] = "Alexi Hackercam" -- Requires localization
L["A_trader_tailor"] = "Dorothy \"Two\"" -- Requires localization
L["chk_toggle"] = "Toggle Garrison Visitor Radar icons" -- Requires localization
L["do_not_show_guild"] = "Do not show my visitor to the guild" -- Requires localization
L["dungeon_raid_quest"] = "Dungeon/Raid quests" -- Requires localization
L["elite_quest"] = "Elite quest" -- Requires localization
L["harrison_jones"] = "Harrison Jones" -- Requires localization
L["H_dungeon_raid"] = "High Overlord Saurfang" -- Requires localization
L["H_elite_quest"] = "Shadow Hunter Ty'jin" -- Requires localization
L["H_pet_tamer"] = "Kura Thunderhoof" -- Requires localization
L["H_trader_dust"] = "Rath'thul Moonvale" -- Requires localization
L["H_trader_herb"] = "Nicholas Mitrik" -- Requires localization
L["H_trader_leather"] = "Zeezu" -- Requires localization
L["H_trader_ore"] = "Trixxy Volt" -- Requires localization
L["H_trader_tailor"] = "Calvo Klyne" -- Requires localization
L["trader_dust"] = "Dust Trader" -- Requires localization
L["trader_fur"] = "Fur Trader" -- Requires localization
L["trader_herb"] = "Herb Trader" -- Requires localization
L["trader_leather"] = "Leather Trader" -- Requires localization
L["trader_ore"] = "Ore Trader" -- Requires localization

elseif locale == "ruRU" then 
L["A_dungeon_raid"] = "Muradin Bronzebeard" -- Requires localization
L["A_elite_quest"] = "Renzik \"The Shiv\"" -- Requires localization
L["A_pet_tamer"] = "Erris the Collector" -- Requires localization
L["A_trader_dust"] = "Enchantress Ismae" -- Requires localization
L["A_trader_herb"] = "Samantha Scarlet" -- Requires localization
L["A_trader_leather"] = "Jake the Fox" -- Requires localization
L["A_trader_ore"] = "Alexi Hackercam" -- Requires localization
L["A_trader_tailor"] = "Dorothy \"Two\"" -- Requires localization
L["chk_toggle"] = "Toggle Garrison Visitor Radar icons" -- Requires localization
L["do_not_show_guild"] = "Do not show my visitor to the guild" -- Requires localization
L["dungeon_raid_quest"] = "Dungeon/Raid quests" -- Requires localization
L["elite_quest"] = "Elite quest" -- Requires localization
L["harrison_jones"] = "Harrison Jones" -- Requires localization
L["H_dungeon_raid"] = "High Overlord Saurfang" -- Requires localization
L["H_elite_quest"] = "Shadow Hunter Ty'jin" -- Requires localization
L["H_pet_tamer"] = "Kura Thunderhoof" -- Requires localization
L["H_trader_dust"] = "Rath'thul Moonvale" -- Requires localization
L["H_trader_herb"] = "Nicholas Mitrik" -- Requires localization
L["H_trader_leather"] = "Zeezu" -- Requires localization
L["H_trader_ore"] = "Trixxy Volt" -- Requires localization
L["H_trader_tailor"] = "Calvo Klyne" -- Requires localization
L["trader_dust"] = "Dust Trader" -- Requires localization
L["trader_fur"] = "Fur Trader" -- Requires localization
L["trader_herb"] = "Herb Trader" -- Requires localization
L["trader_leather"] = "Leather Trader" -- Requires localization
L["trader_ore"] = "Ore Trader" -- Requires localization

elseif locale == "zhCN" then 
L["A_dungeon_raid"] = "Muradin Bronzebeard" -- Requires localization
L["A_elite_quest"] = "Renzik \"The Shiv\"" -- Requires localization
L["A_pet_tamer"] = "Erris the Collector" -- Requires localization
L["A_trader_dust"] = "Enchantress Ismae" -- Requires localization
L["A_trader_herb"] = "Samantha Scarlet" -- Requires localization
L["A_trader_leather"] = "Jake the Fox" -- Requires localization
L["A_trader_ore"] = "Alexi Hackercam" -- Requires localization
L["A_trader_tailor"] = "Dorothy \"Two\"" -- Requires localization
L["chk_toggle"] = "Toggle Garrison Visitor Radar icons" -- Requires localization
L["do_not_show_guild"] = "Do not show my visitor to the guild" -- Requires localization
L["dungeon_raid_quest"] = "Dungeon/Raid quests" -- Requires localization
L["elite_quest"] = "Elite quest" -- Requires localization
L["harrison_jones"] = "Harrison Jones" -- Requires localization
L["H_dungeon_raid"] = "High Overlord Saurfang" -- Requires localization
L["H_elite_quest"] = "Shadow Hunter Ty'jin" -- Requires localization
L["H_pet_tamer"] = "Kura Thunderhoof" -- Requires localization
L["H_trader_dust"] = "Rath'thul Moonvale" -- Requires localization
L["H_trader_herb"] = "Nicholas Mitrik" -- Requires localization
L["H_trader_leather"] = "Zeezu" -- Requires localization
L["H_trader_ore"] = "Trixxy Volt" -- Requires localization
L["H_trader_tailor"] = "Calvo Klyne" -- Requires localization
L["trader_dust"] = "Dust Trader" -- Requires localization
L["trader_fur"] = "Fur Trader" -- Requires localization
L["trader_herb"] = "Herb Trader" -- Requires localization
L["trader_leather"] = "Leather Trader" -- Requires localization
L["trader_ore"] = "Ore Trader" -- Requires localization

elseif locale == "zhTW" then 
L["A_dungeon_raid"] = "Muradin Bronzebeard" -- Requires localization
L["A_elite_quest"] = "Renzik \"The Shiv\"" -- Requires localization
L["A_pet_tamer"] = "Erris the Collector" -- Requires localization
L["A_trader_dust"] = "Enchantress Ismae" -- Requires localization
L["A_trader_herb"] = "Samantha Scarlet" -- Requires localization
L["A_trader_leather"] = "Jake the Fox" -- Requires localization
L["A_trader_ore"] = "Alexi Hackercam" -- Requires localization
L["A_trader_tailor"] = "Dorothy \"Two\"" -- Requires localization
L["chk_toggle"] = "Toggle Garrison Visitor Radar icons" -- Requires localization
L["do_not_show_guild"] = "Do not show my visitor to the guild" -- Requires localization
L["dungeon_raid_quest"] = "Dungeon/Raid quests" -- Requires localization
L["elite_quest"] = "Elite quest" -- Requires localization
L["harrison_jones"] = "Harrison Jones" -- Requires localization
L["H_dungeon_raid"] = "High Overlord Saurfang" -- Requires localization
L["H_elite_quest"] = "Shadow Hunter Ty'jin" -- Requires localization
L["H_pet_tamer"] = "Kura Thunderhoof" -- Requires localization
L["H_trader_dust"] = "Rath'thul Moonvale" -- Requires localization
L["H_trader_herb"] = "Nicholas Mitrik" -- Requires localization
L["H_trader_leather"] = "Zeezu" -- Requires localization
L["H_trader_ore"] = "Trixxy Volt" -- Requires localization
L["H_trader_tailor"] = "Calvo Klyne" -- Requires localization
L["trader_dust"] = "Dust Trader" -- Requires localization
L["trader_fur"] = "Fur Trader" -- Requires localization
L["trader_herb"] = "Herb Trader" -- Requires localization
L["trader_leather"] = "Leather Trader" -- Requires localization
L["trader_ore"] = "Ore Trader" -- Requires localization

elseif locale == "koKR" then
L["A_dungeon_raid"] = "Muradin Bronzebeard" -- Requires localization
L["A_elite_quest"] = "Renzik \"The Shiv\"" -- Requires localization
L["A_pet_tamer"] = "Erris the Collector" -- Requires localization
L["A_trader_dust"] = "Enchantress Ismae" -- Requires localization
L["A_trader_herb"] = "Samantha Scarlet" -- Requires localization
L["A_trader_leather"] = "Jake the Fox" -- Requires localization
L["A_trader_ore"] = "Alexi Hackercam" -- Requires localization
L["A_trader_tailor"] = "Dorothy \"Two\"" -- Requires localization
L["chk_toggle"] = "Toggle Garrison Visitor Radar icons" -- Requires localization
L["do_not_show_guild"] = "Do not show my visitor to the guild" -- Requires localization
L["dungeon_raid_quest"] = "Dungeon/Raid quests" -- Requires localization
L["elite_quest"] = "Elite quest" -- Requires localization
L["harrison_jones"] = "Harrison Jones" -- Requires localization
L["H_dungeon_raid"] = "High Overlord Saurfang" -- Requires localization
L["H_elite_quest"] = "Shadow Hunter Ty'jin" -- Requires localization
L["H_pet_tamer"] = "Kura Thunderhoof" -- Requires localization
L["H_trader_dust"] = "Rath'thul Moonvale" -- Requires localization
L["H_trader_herb"] = "Nicholas Mitrik" -- Requires localization
L["H_trader_leather"] = "Zeezu" -- Requires localization
L["H_trader_ore"] = "Trixxy Volt" -- Requires localization
L["H_trader_tailor"] = "Calvo Klyne" -- Requires localization
L["trader_dust"] = "Dust Trader" -- Requires localization
L["trader_fur"] = "Fur Trader" -- Requires localization
L["trader_herb"] = "Herb Trader" -- Requires localization
L["trader_leather"] = "Leather Trader" -- Requires localization
L["trader_ore"] = "Ore Trader" -- Requires localization

else -- enUS
L["A_dungeon_raid"] = "Muradin Bronzebeard"
L["A_elite_quest"] = "Renzik \"The Shiv\""
L["A_pet_tamer"] = "Erris the Collector"
L["A_trader_dust"] = "Enchantress Ismae"
L["A_trader_herb"] = "Samantha Scarlet"
L["A_trader_leather"] = "Jake the Fox"
L["A_trader_ore"] = "Alexi Hackercam"
L["A_trader_tailor"] = "Dorothy \"Two\""
L["chk_toggle"] = "Toggle Garrison Visitor Radar icons"
L["do_not_show_guild"] = "Do not show my visitor to the guild"
L["dungeon_raid_quest"] = "Dungeon/Raid quests"
L["elite_quest"] = "Elite quest"
L["harrison_jones"] = "Harrison Jones"
L["H_dungeon_raid"] = "High Overlord Saurfang"
L["H_elite_quest"] = "Shadow Hunter Ty'jin"
L["H_pet_tamer"] = "Kura Thunderhoof"
L["H_trader_dust"] = "Rath'thul Moonvale"
L["H_trader_herb"] = "Nicholas Mitrik"
L["H_trader_leather"] = "Zeezu"
L["H_trader_ore"] = "Trixxy Volt"
L["H_trader_tailor"] = "Calvo Klyne"
L["trader_dust"] = "Dust Trader"
L["trader_fur"] = "Fur Trader"
L["trader_herb"] = "Herb Trader"
L["trader_leather"] = "Leather Trader"
L["trader_ore"] = "Ore Trader"

end

L.ID2Name = function(id)
  local t = VisitorRadar.NPCs
  local id = tonumber(id)
  if id and t[id] then
   return L[t[id].locale] or id
  else
   return "<name not found>"
  end
 end